e_alert: define EFL_BETA_API_SUPPORT before any include

otherwise we can include half efl without api and the other parts with
beta api support, which leads to problems.

The current problem was that Eo.h was first included without the
EFL_BETA_API_SUPPORT, in Evas.h EFL_BETA_API_SUPPORT is defined, so the
header expects Eo_Callback_Priority to be defined.

@fix
devs/bu5hm4n/fixes
Marcel Hollerbach 6 years ago
parent 180abefc0c
commit 66b4ff408e
  1. 5
      src/bin/e_alert_main.c

@ -1,5 +1,9 @@
#include "config.h"
#ifdef HAVE_DRM2
# define EFL_BETA_API_SUPPORT
#endif
#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
@ -19,7 +23,6 @@
# ifdef HAVE_WL_DRM
# include <Ecore_Input.h>
# ifdef HAVE_DRM2
# define EFL_BETA_API_SUPPORT
# include <drm_fourcc.h>
# include <Ecore_Drm2.h>
# else

Loading…
Cancel
Save